'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.MDUtils = void 0;
class MDUtils {
    static codeToMarkdown(title, code) {
        const md = [];
        md.push(`# ${title.toUpperCase()} - ${code.shortDesc}\n`);
        if (code.desc) {
            md.push(`## Description\n${code.desc}\n`);
        }
        if (code.modal) {
            md.push(`### Modal: ${code.modal ? 'true' : 'false'}\n`);
        }
        if (code.parameters) {
            md.push('## Parameters\n');
            md.push('| Parameter | Description | Optional |');
            for (const p in code.parameters) {
                md.push(`| ${p} | ${code.parameters[p].shortDesc} | ${code.parameters[p].optional ? 'true' : 'false'} |`);
            }
        }
        return `${md.join('\n')}\n`;
    }
    static allCodesToMarkdown(codes) {
        const md = [];
        md.push(`# ${codes.title}\n`);
        md.push(`${codes.description}`);
        md.push('---');
        for (const c in codes.codes) {
            md.push(MDUtils.codeToMarkdown(c, codes.codes[c]));
            md.push('---');
        }
        return `${md.join('\n')}\n`;
    }
}
exports.MDUtils = MDUtils;
//# sourceMappingURL=mdUtils.js.map